import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_add_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_add_option_entity.g.dart';

@JsonSerializable()
class ContractPositionAddOptionEntity {
	@JSONField(name: "contract_id")
	String? contractId;
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;
	@JSONField(name: "agency_name")
	String? agencyName;
	@JSONField(name: "position_list")
	List<IndexOptionEntity> positionList = [];

	ContractPositionAddOptionEntity();

	factory ContractPositionAddOptionEntity.fromJson(Map<String, dynamic> json) => $ContractPositionAddOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionAddOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}